# PCCompositeSetType

Sets the type of composite preconditioner.

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCCompositeSetType(PC pc,PCCompositeType type)

Collective on PC

### Input Parameter

| pc | - the preconditioner context
| type | - PC_COMPOSITE_ADDITIVE (default), PC_COMPOSITE_MULTIPLICATIVE, PC_COMPOSITE_SPECIAL

### Options Database Key

-pc_composite_type <type: one of multiplicative, additive, special> -Sets composite preconditioner type

### Keywords

PC, set, type, composite preconditioner, additive, multiplicative

Level:Developer
Location: src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages